#include <stdio.h>

int main(void) {
  long int x1, x2, y1, y2;
  int broj = 0;
  scanf("%ld%ld%ld%ld", &x1, &y1, &x2, &y2);
  if(x1 == x2)
    broj = 2;
  if(y1 == y2)
    broj = 2;
  if(x1-x2 == y1-y2)
    broj = 1;
  if(x1-x2 == y2-y1)
    broj = 1;


  printf("%d", broj);
  return 0;
}